<html>
  <head> <title>Java Test</title> </head>
<%! class Java1Test {
        public Java1Test() {}
        public String getValue() { return "not-set"; }
    }
    class Java1TestSub extends Java1Test{
        public Java1TestSub() {}
        public String getValue() { return "value1"; }
    }
%>
  <body>
    <h1>Java Test</h1>
    This JSP-Page tests use of a local derived class.<br>
Value: <% Java1Test jt = (Java1Test) new Java1TestSub(); out.println(jt.getValue()); %>
      </body>
</html>
